# $Id: smeserver-durep.spec,v 1.15 2024/03/01 15:05:04 brianr Exp $
# Authority: unnilennnium
# Name: JP Pialasse

%define name smeserver-durep
Name:          %{name}
%define version 11.0.0
Version:       %{version}
%define release 1
Release:       %{release}%{?dist}
License:       GPL
Source:  %{name}-%{version}.tar.xz


BuildRoot: /var/tmp/%{name}-%{version}-buildroot
BuildRequires: smeserver-devtools
BuildArch: noarch
Group:         Networking/Daemons
Summary:       DUREP - Graphic Report for Disk Usage
Requires:      perl(Data::Dumper)
Requires:      perl(MLDBM) >= 1.21-4
Obsoletes:    smeserver-durep-saco
Obsoletes:      e-smith-durep

AutoReqProv: no

%changelog
* Sun May 11 2025 Brian Read <brianr@koozali.org> 11.0.0-1.sme
- Fix $Config i layout template

* Sun Sep 08 2024 fix-e-smith-pkg.sh by Trevor Batley <trevor@batley.id.au> 1.5.0-19.sme
- Fix e-smith references in smeserver-durep [SME: 12732]

* Sat Sep 07 2024 cvs2git.sh aka Brian Read <brianr@koozali.org> 1.5.0-18.sme
- Roll up patches and move to git repo [SME: 12338]

* Sat Sep 07 2024 BogusDateBot
- Eliminated rpmbuild "bogus date" warnings due to inconsistent weekday,
  by assuming the date is correct and changing the weekday.

* Fri Mar 01 2024 Brian Read <brianr@koozali.org> 1.5.0-17.sme
- Edit SM2 Menu entry to conform to new arrangements [SME: 12493]

* Thu Mar 23 2023 Michel Begue <mab974@misouk.com> 1.5.0-16.sme
- fix typo in previous release [SME: 12342]

* Wed Mar 22 2023 Michel Begue <mab974@misouk.com> 1.5.0-15.sme
- allow access to bar.png image in SM2 [SME: 12342]

* Sat Jul 30 2022 Brian Read <brianr@bjsystems.co.uk> 1.5.0-14.sme
- Re-build and link to latest devtools [SME: 11997]

* Fri Jul 22 2022 Jean-Philippe Pialasse <tests@pialasse.com> 1.5.0-13.sme
- add to core backup [SME: 12007]

* Wed May 18 2022 Jean-Philippe Pialasse <tests@pialasse.com> 1.5.0-12.sme
- allow access to user with userpanel [SME: 11975]

* Sat Jan 08 2022 Michel Begue <mab974@misouk.com> 1.5.0-11.sme
- Re-build and link to latest devtools wrong localisation directory [SME: 11841]

* Fri Jan 07 2022 Brian Read <brianr@bjsystems.co.uk> 1.5.0-10.sme
- Add-class-to-div-for-AdminLTE [SME: 11835]

* Thu Jun 03 2021 Michel Begue <mab974@gmail.com> 1.5.0-9.sme
- first use with smeserver-manager [SME: 11618]

* Thu Mar 04 2021 Jean-Philipe Pialasse <tests@pialasse.com> 1.5.0-8.sme
- Re-build and link to latest devtools permissions of cgi inside spec file too 

* Thu Mar 04 2021 Michel Begue <mab974@gmail.com> 1.5.0-7.sme
- Re-build and link to latest devtools permissions of cgi and data files

* Mon Feb 22 2021 Jean-Philipe Pialasse <tests@pialasse.com> 1.5.0-6.sme
- add smeserver-durep-update event [SME: 10893]
  make up spec file

* Fri Oct 23 2020 Brian Read <brianr@bjsystems.co.uk> 1.5.0-5.sme
- Initial import to SME10 tree [SME: 10893]
- Add in link to wrapper in createlinks

* Sat Dec 28 2019 Jean-Philipe Pialasse <tests@pialasse.com> 1.5.0-4.sme
- output all mounted points with df on one line using Posix

* Sat Feb 10 2018 Jean-Philipe Pialasse <tests@pialasse.com> 1.5.0-3.sme
- add hability to stat more directories [SME: 10118]
- add status enabled or disabled

* Sat Aug 22 2015 stephane de Labrusse <stephdl@de-labrusse.fr> 1.5.0-2.sme
- Initial release to contribs9

* Sat Jun 21 2014 stephane de Labrusse <stephdl@de-labrusse.fr> 1.5.0-1.sme
- Initial release to sme9

* Thu Sep 13 2012 JP Pialasse <test@pialasse.com> 1.3.0-6.sme
- add Obsoletes smeserver-durep-saco e-smith-durep [SME 7108]
- TODO cleaning spec file post and filelist chmod

* Mon Sep 10 2012 JP Pialasse <test@pialasse.com> 1.3.0-5.sme
- Re-build and link to latest devtools do not copy files  and filelist [SME 7098]
- patch df of plugged disk 

* Sun Sep 09 2012 JP Pialasse <test@pialasse.com> 1.3.0-4.sme
- dependencies resolution

* Fri Aug 31 2012 JP Pialasse <test@pialasse.com> 1.3.0-3.sme
- build error fix : prep setup

* Wed Aug 15 2012 JP Pialasse <test@pialasse.com> 1.3.0-1.sme
- update from 1.03-02sn to comply with SME8 and SME7
- moved archives to /var/lib/durep
- moved web files to manager/html
- cleaned spec

%description
DUREP is a  Report Generator that creates graphical Output for the "du" command

%prep
%setup

%build
perl createlinks

%install
/bin/rm -rf $RPM_BUILD_ROOT
(cd root;  /usr/bin/find . -depth -print | /bin/cpio -dump $RPM_BUILD_ROOT)
/bin/rm -f %{name}-%{version}-filelist
/sbin/e-smith/genfilelist $RPM_BUILD_ROOT \
	--file "/usr/local/bin/durep" 'attr(0755,root,root)'  \
	--file "/usr/sbin/durep.daily" 'attr(0755,root,root)' \
	--file '/etc/e-smith/web/panels/manager/html/durep/durep.cgi' 'attr(0750,root,admin)' \
> %{name}-%{version}-filelist


%clean
/bin/rm -rf $RPM_BUILD_ROOT

%files -f %{name}-%{version}-filelist
%defattr(-,root,root)

%pre -p /bin/sh

%post -p /bin/sh

if (systemctl list-unit-files |grep smanager) then
  echo "Smanager restart in spec file"
  /sbin/e-smith/signal-event smanager-refresh;
fi


%preun -p /bin/sh

%postun -p /bin/sh
if [ $1 = 0 ] ; then
 /bin/rm -f /usr/share/smanager/themes/default/images/bar.png
fi
true
